
Foreman - Feature #4806

add compute resource from a plugin

03/24/2014 04:37 PM - Amos Benari

Status: Closed   

Priority: Normal   

Assignee: Amos Benari   

Category: Plugin integration   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It is difficult to add a compute resource from a plugin because the list of providers is hard coded in the ComputeResource class.

A better solution would be to have an interface to add a compute resource provider from a plugin.

Associated revisions

Revision 5df3d514 - 04/08/2014 08:23 AM - Amos Benari

fixes #4806 add support to register compute resource provider from a plugin

History

#1 - 03/24/2014 04:43 PM - Amos Benari

- Status changed from New to Ready For Testing

- Assignee set to Amos Benari

#2 - 03/24/2014 04:44 PM - Dominic Cleal

- Target version set to 1.9.0

#3 - 03/26/2014 12:57 PM - Anonymous

- Target version changed from 1.9.0 to 1.8.4

#4 - 04/03/2014 01:14 PM - Dominic Cleal

https://github.com/theforeman/foreman/pull/1320

https://github.com/theforeman/foreman/pull/1351

#5 - 04/08/2014 08:23 AM - Dominic Cleal

- Category set to Plugin integration

- translation missing: en.field_release set to 4

#6 - 04/08/2014 08:31 AM - Amos Benari

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 5df3d5140ebda4006f4f335fbb095a1543d74d2d.
